#pragma once
#include "mregression.h"

class CMRegressionRGB :
	public CMRegression
{
private:
	virtual CvMat    *GenConvertNoGenMat(const CvMat *data);

public:
	CMRegressionRGB(const int dim);
	~CMRegressionRGB(void);
	double GetX(const CvMat *mat, const int sample, const int index);
	bool CalcCoef(const CvMat *data, const CvMat *observ);
	virtual CvMat    *GenConvert(const CvMat    *data);
	virtual IplImage *GenConvert(const IplImage *data);
};
